1. API Documentation
Architel DVS API
  • Getting Started
    • API Access & Authentication
  • API Documentation
    • Create access token
      POST
    • Verify Drivers Licence
      POST
    • Verify Citizenship Certificate
      POST
    • Verify Visa
      POST
    • Verify ImmiCard
      POST
    • Verify Medicare Card
      POST
    • Verify Centrelink Concession Card
      POST
    • Verify Passport
      POST
    • Verify Marriage Certificate
      POST
    • Verify Change of Name Certificate
      POST
    • Verify Death Certificate
      POST
    • Verify Birth Certificate
      POST
    • Get Verification Result
      GET
    • Schemas
      • Birth Certificate
        • Birth Certificate Base
        • ACT
        • NSW
        • NT
        • TAS
        • SA
        • VIC
        • WA
        • QLD
      • Change of Name Certificate
        • Change of Name Certificate Base
        • QLD
        • ACT
        • VIC
        • NSW
        • TAS
        • WA
        • SA
        • NT
      • Marriage Certificate
        • Marriage Certificate Base
        • ACT
        • SA
        • QLD
        • VIC
        • TAS
        • NSW
        • WA
        • NT
      • Death Certificate
        • Death Certificate Base
        • TAS
        • NT
        • NSW
        • ACT
        • VIC
        • SA
        • WA
        • QLD
      • Drivers Licence
        • Drivers Licence Base
        • NSW
        • ACT
        • VIC
        • SA
        • TAS
        • NT
        • WA
        • QLD
      • Access Token Request
      • Verification Result
      • DvsVerificationYNResponse
      • Citizenship Certificate
      • Medicare
      • ImmiCard
      • Visa
      • Passport
      • Access Token Response
      • Centrelink
      • OAuth Error Response
      • DvsVerificationSResponse
      • DvsVerificationDResponse
  1. API Documentation

Create access token

POST
https://dev.architel.com.au/api/oauth/token
Obtain a short-lived bearer access token using your Architel DVS client credentials.
The returned access token must be supplied in the Authorization header as a Bearer token when calling authenticated DVS endpoints.

Request

Body Params application/x-www-form-urlencodedRequired

Responses

🟢200
application/json
Access token issued successfully.
Bodyapplication/json

🟠400
🟠401
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://dev.architel.com.au/api/oauth/token' \
--data-urlencode 'grant_type=' \
--data-urlencode 'client_id=' \
--data-urlencode 'client_secret='
Response Response Example
200 - Example 1
{
    "access_token": "string",
    "token_type": "Bearer",
    "expires_in": 1
}
Modified at 2026-10-05 04:24:49
Previous
API Access & Authentication
Next
Verify Drivers Licence
Built with